### Method

# Hex Widget insert_autohighlight_full

since: 4.2

#### Declaration

    HexWidgetAutoHighlight*
    hex_widget_insert_autohighlight_full (
      HexWidget* self,
      const char* search,
      int len,
      HexSearchFlags flags
    )

#### Description

Full version of `hex_widget_insert_autohighlight()` which allows for specifying string match types for auto-highlights over and above exact byte-for-byte string matches.

Available since: 4.2

#### Parameters

`search`

  Type: An array of `gint8`

  Search string to auto-highlight.

  The length of the array is specified in the `len` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`len`

  Type: `int`

  Length of the `search` string.

`flags`

  Type: `HexSearchFlags`

  `HexSearchFlags` to specify match type.

#### Return value

Type: `HexWidgetAutoHighlight`

A newly created `HexWidgetAutoHighlight` structure, owned by the `HexWidget`.

The returned data is owned by the instance.